Overview | Package | Class | Tree | Deprecated | Index | Help
| SNMP Stack 4_12
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.co.westhawk.snmp.stack
Interface usmStatsConstants

public interface usmStatsConstants

This interface contains the OIDs for the usmStats variables. These variables are returned with the SNMPv3 usm security model when an error occurs. They are part of the RFC 2574 mib.

Version:
  $Revision: 3.3 $ $Date: 2002/10/10 15:13:57 $
Author:
  Birgit Arkesteijn
See Also:
  `SnmpContextv3`

Field Summary
`static java.lang.String` | `usmStatsDecryptionErrors` The total number of packets received by the SNMP engine which were dropped because they could not be decrypted.
`static java.lang.String` | `usmStatsNotInTimeWindows` The total number of packets received by the SNMP engine which were dropped because they appeared outside of the authoritative SNMP engine's window.
`static java.lang.String[]` | `usmStatsOids` The array with all the usmStats dotted OIDs in it.
`static java.lang.String[]` | `usmStatsStrings` The array with all the usmStats verbal OIDs in it.
`static java.lang.String` | `usmStatsUnknownEngineIDs` The total number of packets received by the SNMP engine which were dropped because they referenced an snmpEngineID that was not known to the SNMP engine.
`static java.lang.String` | `usmStatsUnknownUserNames` The total number of packets received by the SNMP engine which were dropped because they referenced a user that was not known to the SNMP engine.
`static java.lang.String` | `usmStatsUnsupportedSecLevels` The total number of packets received by the SNMP engine which were dropped because they requested a securityLevel that was unknown to the SNMP engine or otherwise unavailable.
`static java.lang.String` | `usmStatsWrongDigests` The total number of packets received by the SNMP engine which were dropped because they didn't contain the expected digest value.
`static java.lang.String` | `version_id`

Field Detail

### version_id

    public static final java.lang.String version_id

### usmStatsUnsupportedSecLevels

    public static final java.lang.String usmStatsUnsupportedSecLevels

  The total number of packets received by the SNMP engine which were dropped because they requested a securityLevel that was unknown to the SNMP engine or otherwise unavailable.

### usmStatsNotInTimeWindows

    public static final java.lang.String usmStatsNotInTimeWindows

  The total number of packets received by the SNMP engine which were dropped because they appeared outside of the authoritative SNMP engine's window.

### usmStatsUnknownUserNames

    public static final java.lang.String usmStatsUnknownUserNames

  The total number of packets received by the SNMP engine which were dropped because they referenced a user that was not known to the SNMP engine.

### usmStatsUnknownEngineIDs

    public static final java.lang.String usmStatsUnknownEngineIDs

  The total number of packets received by the SNMP engine which were dropped because they referenced an snmpEngineID that was not known to the SNMP engine.

### usmStatsWrongDigests

    public static final java.lang.String usmStatsWrongDigests

  The total number of packets received by the SNMP engine which were dropped because they didn't contain the expected digest value.

### usmStatsDecryptionErrors

    public static final java.lang.String usmStatsDecryptionErrors

  The total number of packets received by the SNMP engine which were dropped because they could not be decrypted.

### usmStatsOids

    public static final java.lang.String[] usmStatsOids

  The array with all the usmStats dotted OIDs in it.

### usmStatsStrings

    public static final java.lang.String[] usmStatsStrings

  The array with all the usmStats verbal OIDs in it.

Overview | Package | Class | Tree | Deprecated | Index | Help
| SNMP Stack 4_12
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD